# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

CRATES="
	atty-0.2.14
	autocfg-1.1.0
	bitflags-1.3.2
	cfg-if-1.0.0
	chrono-0.4.19
	clap-3.2.8
	clap_derive-3.2.7
	clap_lex-0.2.4
	hashbrown-0.12.2
	heck-0.4.0
	hermit-abi-0.1.19
	indexmap-1.9.1
	itoa-1.0.2
	libc-0.2.126
	log-0.4.17
	num-integer-0.1.45
	num-traits-0.2.15
	num_threads-0.1.6
	once_cell-1.13.0
	os_str_bytes-6.1.0
	proc-macro-error-1.0.4
	proc-macro-error-attr-1.0.4
	proc-macro2-1.0.40
	quote-1.0.20
	simplelog-0.12.0
	strsim-0.10.0
	syn-1.0.98
	termcolor-1.1.3
	textwrap-0.15.0
	time-0.1.44
	time-0.3.11
	time-macros-0.2.4
	unicode-ident-1.0.1
	version_check-0.9.4
	wasi-0.10.0+wasi-snapshot-preview1
	winapi-0.3.9
	winapi-i686-pc-windows-gnu-0.4.0
	winapi-util-0.1.5
	winapi-x86_64-pc-windows-gnu-0.4.0
"

inherit cargo readme.gentoo-r1

DESCRIPTION="ZFS snapshot handling util."
HOMEPAGE="https://github.com/migmedia/zfs-snappers"
SRC_URI="$(cargo_crate_uris)
	https://github.com/migmedia/${PN}/archive/refs/tags/${PV}.tar.gz
"

# License set may be more restrictive as OR is not respected
# use cargo-license for a more accurate license picture
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

src_install() {
	readme.gentoo_create_doc
	cargo_src_install
	cd ${S}
	insinto /etc/cron.d
	doins etc/${PN}
	dodoc README.md
}

pkg_postinst() {
	readme.gentoo_print_elog
}
